> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/chart/chartpopulategaugedata.md).

# chartPopulateGaugeData

## Description

A gauge chart, also known as dial chart or speedometer chart, uses a single needle to show information as a reading on a dial. This chart type is often used in executive dashboard reports to show key business indicators.

## Input / Parameter

| Name         | Description                                           | Input Type  | Default | Options | Required |
| ------------ | ----------------------------------------------------- | ----------- | ------- | ------- | -------- |
| component    | The name of the Chart component to take details from. | String/Text | -       | -       | Yes      |
| componentId  | The id of the Chart component to take details from.   | String/Text | -       | -       | No       |
| height       | The height of the chart.                              | Number      | -       | -       | No       |
| dataCaptions | The legend for each data.                             | Array/List  | -       | -       | No       |
| data         | The data values for each legend.                      | Array/List  | -       | -       | Yes      |

## Output

N/A

Note: The Chart component will be updated with the gauge chart parameters specified.

## Callback

N/A

## Video

Coming Soon.

## Example

Coming Soon.

### Steps

Coming Soon.

### Result

Coming Soon.

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/chart/chartpopulategaugedata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
